import { Component, h } from '@stencil/core';
import { BASE_URL } from '../../../base';
import { RemoteGetAccountSummary } from '../../data/usages/remote-get-account-summary';
import { FetchHttpClient } from '../../infra/http/fetch-http-client';
export class AccountSummaryFactory {
  render() {
    let httpClient = FetchHttpClient.getInstance();
    const getAccountSummary = new RemoteGetAccountSummary(`${BASE_URL}/accounts/totals`, httpClient);
    return h("account-summary-component", { getAccountSummary: getAccountSummary });
  }
  static get is() { return "account-summary-component-factory"; }
}
