import { Component, h, Prop, State } from '@stencil/core';
export class AccountTransactionListComponent {
  /**
   * When component loads
   * fetch account transactions
   *
   * @returns
   */
  componentWillLoad() {
    return this.fetchAccountTransactions();
  }
  /**
   * Fetch account transactions
   */
  async fetchAccountTransactions() {
    this.loading = true;
    let result = await this.getAccountTransactionList.get({});
    if (result)
      this.transactions = result.account_transactions;
    this.loading = false;
  }
  render() {
    return h("div", null,
      h("ul", { class: "list-none" }, this.transactions.map(t => {
        return h("account-transaction-component", { transaction: t });
      })));
  }
  static get is() { return "account-transaction-list-component"; }
  static get originalStyleUrls() { return {
    "$": ["account-transaction-list-component.css"]
  }; }
  static get styleUrls() { return {
    "$": ["account-transaction-list-component.css"]
  }; }
  static get properties() { return {
    "getAccountTransactionList": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "GetAccountTransactionList",
        "resolved": "GetAccountTransactionList",
        "references": {
          "GetAccountTransactionList": {
            "location": "import",
            "path": "../../../domain/usages/get-account-transaction-list"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Get account transaction list"
      }
    }
  }; }
  static get states() { return {
    "loading": {},
    "transactions": {}
  }; }
}
